View Issue Details

IDProjectCategoryView StatusLast Update
0000049NewsStatsTabulationpublic2013-09-02 14:52
ReporterthhAssigned Tothh 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
ProjectionnoneETAnone 
Product VersionProduct Build 
Target Version0.01Fixed in Version0.01 
Summary0000049: "Virtual" .ALL groups are missing if every group in that hierarchy has 0 postings
DescriptionCorrect:
destat-2012-04:de.alt.comp.ALL 28
destat-2012-04:de.alt.comp.cygwin+co 1
destat-2012-04:de.alt.comp.sap-r3 27

Wrong:
destat-2012-05:de.alt.comp.cygwin+co 0
destat-2012-05:de.alt.comp.sap-r3 0
TagsNo tags attached.

Relationships

related to 0000052 resolvedthh gatherstats crashes 

Activities

thh

thh

2013-08-11 01:25

administrator   ~0000047

Virtual groups are not even tabulated.
thh

thh

2013-09-02 06:58

administrator   ~0000055

Fix committed to next branch as b5125b1099cf5cf12beb0520d5896b9a1d7850ae: Add empty 'virtual' .ALL hierarchies as needed.

When using a --checkgroups file while tabulating,
valid but empty groups will be added with a posting
count of zero as needed. If all groups in a
sub-hierarchy are empty, the virtual '.ALL' group
for that sub-hierarchy was not created, though.

If local.test.dummy and local.test.binary were
both empty, both groups were added with a posting
count of '0', but local.test.ALL was not.

Now we loop through all hierarchy elements using
ParseHierarchies and add empty .ALL hierarchies as
needed.

Fixes 0000049.

Also fixing a typo in some comment. :-)

Signed-off-by: Thomas Hochstein <thh@inter.net>

Related Changesets

NewsStats: next b5125b10

2013-08-10 23:47:32

thh

Details Diff
Add empty 'virtual' .ALL hierarchies as needed.

When using a --checkgroups file while tabulating,
valid but empty groups will be added with a posting
count of zero as needed. If all groups in a
sub-hierarchy are empty, the virtual '.ALL' group
for that sub-hierarchy was not created, though.

If local.test.dummy and local.test.binary were
both empty, both groups were added with a posting
count of '0', but local.test.ALL was not.

Now we loop through all hierarchy elements using
ParseHierarchies and add empty .ALL hierarchies as
needed.

Fixes 0000049.

Also fixing a typo in some comment. :-)

Signed-off-by: Thomas Hochstein <thh@inter.net>
mod - gatherstats.pl Diff File

Issue History

Date Modified Username Field Change
2013-08-11 01:14 thh New Issue
2013-08-11 01:16 thh Assigned To => thh
2013-08-11 01:16 thh Status new => acknowledged
2013-08-11 01:25 thh Note Added: 0000047
2013-08-11 01:25 thh Category Reports => Tabulation
2013-08-11 01:59 thh Status acknowledged => assigned
2013-08-15 13:33 thh Product Version 0.01 =>
2013-08-15 13:33 thh Target Version => 0.01
2013-09-01 17:20 thh Relationship added related to 0000052
2013-09-02 06:58 thh Changeset attached => NewsStats next b5125b10
2013-09-02 06:58 thh Note Added: 0000055
2013-09-02 06:58 thh Status assigned => resolved
2013-09-02 06:58 thh Resolution open => fixed
2013-09-02 14:52 thh Fixed in Version => 0.01